image:
  name: registry.gitlab.com/privateprojectz/infra/common/images/buildah-ubuntu/ubuntu-buildah:latest-amd64


stages:
  - pull_image
  - validate
  - build
  - test
  - scan
  - deploy


cache:
  key: ${CI_COMMIT_BRANCH}
  paths:
    - builds

.buildah_login: &buildah_login
  before_script:
    - buildah login -u gitlab-deploy-token -p $CI_DEPLOY_TOKEN $CI_REGISTRY

.versions_template: &versions
  variables:
      ARCH: [arm64,amd64]

include:
  - '/.gitlab-ci/.ubuntu.yml'
  - '/.gitlab-ci/.fedora.yml'

